Bug 58749 - ntp startup can fail due to dependancies
ntp startup can fail due to dependancies
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-23 20:28 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-23 20:28:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-23 20:28:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
/etc/rc.d/init.d/ntpd is setup to start as S26ntpd.  Nameservice, however, is
not running at that time (S55named).  This is a problem.

Most public NTP servers request (strongly) that you specify them by name and not
IP address.  If you do this on a system that uses a local nameserver then NTP
startup will fail.

This is especially problematic because most networks prefer to put their
reference time server on their DNS server ... which is the exact circumstances
to create this problem.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  create an ntp.conf that uses names rather than IP addrs in "server" commands
2.  rm /etc/resolv.conf (which causes resolve to default to 0.0.0.0)
3.  reboot system
4.  watch ntp startup puke
	

Additional info:
Comment 1 Harald Hoyer 2002-01-24 04:12:47 EST
fixed in 4.1.0b-1 and later

Note You need to log in before you can comment on or make changes to this bug.